tokodon (26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:44:27 +0100

tokodon (26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:40:31 +0100

tokodon (26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 12:06:01 +0100

tokodon (26.04.0-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on a recent version of libkunifiedpush-dev.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:44:42 +0100

tokodon (26.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (26.04.0).
  * Bump Standards-Version to 4.7.4, no change required.
  * Add missing test build dep: libxcb-cursor-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 01 May 2026 00:36:44 +0200

tokodon (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 14:03:42 +0000

tokodon (25.12.2-1) unstable; urgency=medium

  * New upstream release:
    - does not install tokodon-offline anymore
  * Update the patches:
    - upstream_Include-QTimer.patch: drop, backported from upstream
  * Drop tokodon-offline removal. (Closes: #1126609)

 -- Pino Toscano <pino@debian.org>  Thu, 05 Feb 2026 20:46:41 +0100

tokodon (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)
  * Drop included upstream_Include-QTimer.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:33:52 +0000

tokodon (25.12.1-2ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:19:58 +0000

tokodon (25.12.1-2ubuntu2) resolute; urgency=medium

  * debian/rules: Do not fail on removing debian/tokodon/usr/bin/tokodon-
    offline if this was not produced by the build (i.e. on riscv64 in
    Ubuntu).

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 19:35:42 +0000

tokodon (25.12.1-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 09:41:08 +0000

tokodon (25.12.1-2) unstable; urgency=medium

  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * upstream_revert_357ef28c_accountpage-use-formlinkdelegate-for-open-ser.patch:
    drop, as now kirigami-addons 1.10+ is required.
  * Backport upstream commit de798456ff668f39a447f884eac9780e3f528238 to fix the
    build on architectures without QtWebView; patch
    upstream_Include-QTimer.patch.
  * Include /usr/share/dpkg/architecture.mk in rules, to make sure that
    $(DEB_HOST_ARCH) can be used.
  * Do not ship tokodon-offline, as it is a testing application with dummy data.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jan 2026 11:42:20 +0100

tokodon (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 10:35:04 +0000

tokodon (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Jan 2026 22:07:58 +0100

tokodon (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:20:19 +0000

tokodon (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:39:54 +0000

tokodon (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:19:39 +0000

tokodon (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:58:31 +0000

tokodon (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:21:23 +0000

tokodon (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 12:00:20 +0100

tokodon (25.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_revert_357ef28c_accountpage-use-formlinkdelegate-for-open-ser.patch:
      refresh/update
    - upstream_128cdaa7_Fix-a-crash-when-trying-to-block-an-account-through-the-post-menu.patch:
      drop, backported from upstream
    - upstream_4f09a6e8_Add-mute-block-management-on-the-safety-page.patch:
      drop, backported from upstream
    - upstream_5587bbb9_Use-QLatin1String-in-SocialGraphModel.patch: drop,
      backported from upstream
    - upstream_fc886374_Playback-audio-in-video-attachments.patch: drop,
      backported from upstream
    - upstream_9eb657e1_Fix-crash-when-trying-to-save-less-than-the-max-number-of-fields.patch:
      drop, backported from upstream
    - upstream_b319e681_Add-a-toggle-in-account-settings-for-search-indexing.patch:
      drop, backported from upstream
    - upstream_4643870b_Make-sure-that-toggling-account-options-affects-the-correct-account.patch:
      drop, backported from upstream
    - upstream_df89658d_Fix-possible-erroneous-trailing-space-in-OAuth-scope-parameter.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 6.12.0
    - add libkunifiedpush-dev, qcoro-qt6-dev, qml6-module-org-kde-kitemmodels,
      qml6-module-org-kde-prison, and qml6-module-org-kde-sonnet
    - remove unused libmpvqt-dev, and libqqc2breezestyle-dev
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Build with -Os on armhf to workaround memory issues. (Closes: #1116228)

 -- Pino Toscano <pino@debian.org>  Fri, 26 Sep 2025 10:11:26 +0200

tokodon (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:16:12 +0100

tokodon (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:00:17 +0100

tokodon (25.08.0-0ubuntu2) questing; urgency=medium

  * Build with -Os on armhf to work around OOM.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Aug 2025 19:25:48 +0100

tokodon (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:35:59 +0100

tokodon (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:05:08 +0100

tokodon (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * New build depend on qcoro-qt6-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:30:12 +0100

tokodon (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Prevent a null access in certain timelines. (kde#504215)
    - Make blocking accounts actually work.
    - Allow boosting your own private posts.
    - Fix timeline streaming when the server configured it for another URL.
    (kde#505213)
  * Backport upstream commit:
    - Fix a crash when trying to block an account through the post menu.
    [128cdaa7]
    - Add missing mute/block management on the safety page. [4f09a6e8,
    5587bbb9] (kde#506374)
    - Fix broken audio in video attachments playback. [fc886374]
    (kde#505303)
    - Fix crash when trying to save less than the max number of fields.
    [9eb657e1]
    - Add missing toggle for search indexing in account settings. [b319e681]
    - Make sure that toggling account options affects the correct account.
    [4643870b]
    - Fix possible erroneous trailing space in OAuth scope parameter.
    [df89658d]
  * Revert upstream commit 357ef28c which silently requires kirigami
    addons 1.9+ and breaks the account page.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Jul 2025 18:34:20 +0200

tokodon (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:59:20 +0100

tokodon (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Clamp contentY when using the PageUp key. (kde#501936)
    - Stop registering for push notifications despite them being disabled.
    - Print out what the old endpoint was in the warning message.
    - Don't spam network error log with push subscription checks.
    - Don't bother updating push subscriptions if there is none.
    - Remove annual_report from push notification rules.
    - Call updatePushNotifications when toggling the notifications checkbox.
  * New upstream release (25.04.2).
    - ModerationTools: Fix opening some subpages.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:37:39 +0200

tokodon (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:22 +0200

tokodon (24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Limit qt6-webview-dev build dependency to amd64 arm64 armhf and i386
    where it’s available, make QtWebView optional for dh_qmldepends.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 14:31:50 +0100

tokodon (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 17:00:58 +0100

tokodon (24.08.2-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add myself to uploaders.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to kf6 debhelper build sequence.
  * Replace manual QML runtime dependencies management with dh-sequence-
    qmldeps.
  * Review copyright information.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.
  * Add myself to the uploaders.
  * Drop obsolete lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Oct 2024 00:46:28 +0200

tokodon (23.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch kirigami-addons-dev B-D to kirigami-addons5-dev.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Aug 2024 17:55:48 +0200

tokodon (23.04.2-1) unstable; urgency=medium

  * New upstream release.
  * tokodon is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Set Maintainer to the canonical form.
  * Update Vcs-* fields.
  * Update the build dependencies according to the upstream build system:
    - bump kirigami-addons-dev to 0.7.2
    - add libkf5configwidgets-dev
  * Bump the kirigami-addons packages dependencies to 0.7.2.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Jun 2023 07:32:08 +0200

tokodon (23.02.0-2) unstable; urgency=medium

  * Add lintian overrides for copyright/license files to not list in
    debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Jun 2023 21:51:04 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog tokodon`.
